#!/bin/sh
(
cd /mnt/sdcard/wildtom
METRICS="x"
export METRICS
if [ -f wildtompref ]; then
  . ./wildtompref
  ./ttdialog --msgbox "WildTom settings" "settings file read\METRICS=$METRICS"
else
  ./ttdialog --msgbox "WildTom settings" "No settings file\creating one with defaults"
  METRICS="M"
fi
CHANGED=no
if [ "$METRICS" = "B" ]; then
  METRD="British"
  OTHERMETRICS="M"
else
  METRD="Metric (decimal)"
  OTHERMETRICS="B"
fi
./ttdialog --yesnobox "WildTom settings" "Metric units are currently set to\ $METRD\Do you want to change it?"
if [ $? = 0 ] ; then
  CHANGED=yes
  METRICS=$OTHERMETRICS
fi
if [ "$CHANGED" = "yes" ]; then
  echo "#" >wildtompref
  echo "# wildtom preferences" >>wildtompref
  echo "# metric (M) or british (B) units" >>wildtompref
  echo "METRICS=$METRICS" >>wildtompref
fi
) >/mnt/sdcard/wildtom/setwildtompref.log 2>/mnt/sdcard/wildtom/setwildtompref.err
